Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


roytam1

My build of New Moon (temp. name) a.k.a. Pale Moon fork targetting XP

Recommended Posts

On 8/25/2018 at 2:45 PM, Chronius said:

Has any had any success with installing language packs in NM28? I've tried it but all I'm getting is an error that says they're not compatible with NM 28.1.0a1, even though it says on PM's that they're compatible with PM28, so I thought they'd be compatible with NM28 too...

https://o.rthost.cf/palemoon/palemoon-28.0.0a2.win32-git-20180602-84d731716-xpmod.7z

Only those versions compatible with the Polish language pack palemoon 28

c1cd9b4d6da28756gen.png

The only problem is the privacy tab in the options does not work. You have to disable the polish language pack and restart the palemoon. After setting the privacy, the polish language pack is re-enabled and the browser restarts.

Edited by kitaro1

Share this post


Link to post
Share on other sites

On 8/25/2018 at 4:03 PM, caliber said:

Not sure why the Basilisk 55 has not been update over the past month but it appears to be slighty faster, although I'm unable to iinstall a single addon not even the UBLOCK to kill all stupid adds ... just my opinion sorry for the rant ...

This pertains to uBlock Origin EXTENSION installation
with BASILISK 55 (not 52, but probably works much the same).

Warning (1) --> First SAVE (EXPORT) your MY FILTERS to *.TXT File
That way, you do NOT lose them if you already have them
from an earlier already installed 'UBO' EXTENSION version.

https://github.com/gorhill/uBlock/releases

At the above URL, download the appropriate release.
(Scroll Down to find the LEGACY EXTENSION)
This time, it was LEGACY 1.16.4.4 for FIREFOX one.

So, you hopefully have the appropriate downloaded *.XPI file.
Use the 'HAMBURGER' button in the upper right corner, then ADD-ONS.
On the EXTENSIONS (left side choice) page, there is in the TOP CENTER
location a GEAR Icon. Click the GEAR Icon and choose -->
"Install ADD-ON from FILE" and find the 'UBO' *.XPI file and do that.

Hope this helps with regard to UBO EXTENSION installation and BASILISK 55.

Added: With BASILISK 55, I had the unusual situation where the BK55 TOP MENU Icon
for 'UBO' (upon installation) did NOT get created there. Rather, it got created (located)
in the ('Hamburger' Button -- Top Right) CUSTOMIZE area (Lower Left) instead,
in the 'ADDITIONAL TOOLS and FEATURES' box. So, this got solved
by (moving) DRAGGING that 'UBO' Icon up onto the (Top) MENU BAR of the Browser.
NOT sure if anyone else will have that problem, but just in case.

Edited by TechnoRelic

Share this post


Link to post
Share on other sites

OK, so I downloaded the most recent PM28 build and installed it on my new Vista x64 installation, and the interface is horridly unresponsive.

I set it to XP compatibility mode, but it made no difference.

I installed PM26 and copied the PM28 files over it. Could that have caused the problem?

c

Share this post


Link to post
Share on other sites
11 minutes ago, cc333 said:

OK, so I downloaded the most recent PM28 build and installed it on my new Vista x64 installation, and the interface is horridly unresponsive.

I set it to XP compatibility mode, but it made no difference.

I installed PM26 and copied the PM28 files over it. Could that have caused the problem?

c

 

Why do you use Vista? It´s known to be the worst, slowest and most buggy SO ever. If that machine can run Vista, you should

install 7, which is much better, reliable and faster than Vista.

 

Share this post


Link to post
Share on other sites
3 hours ago, TechnoRelic said:

Hope this helps with regard to UBO EXTENSION installation and BASILISK 55.

thanks for your input but there's too much info there for a dummy like me.

it is just not the ublock, I cannot install any addon in the Basilisk 55

there have been several releases (fixed bugs) over the last month on the 52 although I don't feel it as fast as the genuine Firefox on Windows 7

the big question: will there be either a Basilisk or PM  version with quantum engine for XP ?

  • Like 1

Share this post


Link to post
Share on other sites
34 minutes ago, cc333 said:

OK, so I downloaded the most recent PM28 build and installed it on my new Vista x64 installation, and the interface is horridly unresponsive ... I set it to XP compatibility mode, but it made no difference ... I installed PM26 and copied the PM28 files over it. Could that have caused the problem?

I would NOT do an OVERWRITE as you did it. I would DELETE that current PALEMOON Folder. Then COPY the PM28XP PALEMOON FOLDER (archive) contents 'over' to a location off your C: drive ... C:\Palemoon

Make sure that is referenced in your ENVIRONMENTAL PATH under VISTA. Then 'launch' it and see what happens. You MAY need to reinstall some EXTENSIONS if you have or want them.

Share this post


Link to post
Share on other sites

I usually rename the pm folder to "pm_old", then create a new, empty, "palemoon" folder and move the extracted new version to it. If anything goes wrong, this way I can reverse the change and test/fix things.

  • Like 1

Share this post


Link to post
Share on other sites

@curiosil That isn't helpful at all. Vista > 7 in my experience to be honest, but let's not drift too far off-topic.

Is there any chance you can provide an installer that can auto-update some day to the latest test build, that when initialising you can set as the default browser/etc.? I'd say don't make it at all a priority but for the less technically inclined it would be a godsend...

  • Like 4

Share this post


Link to post
Share on other sites
3 hours ago, SRainharp said:

the less technically inclined

Those are on 10 already, after all the concentrated efforts MS has put into goading/conning people to move to 10, despite their needs.

  • Like 1

Share this post


Link to post
Share on other sites
23 hours ago, caliber said:

the big question: will there be either a Basilisk or PM  version with quantum engine for XP ?

Since this thread is too long to read, I will link you to a November 23, 2017 post (p. 16) from which I would infer "No": https://msfn.org/board/topic/177125-my-build-of-new-moon-temp-name-aka-pale-moon-for-xp/?do=findComment&comment=1147622

Share this post


Link to post
Share on other sites

after some testing, NSS 3.39 Beta still working fine in my test beds:

Basilisk/moebius:

ybr0BBl.png

Firefox 45.9.10 (as VC2013 test bed):

3Z56ePc.png

next builds will use it.

Edited by roytam1

Share this post


Link to post
Share on other sites

New build of Firfox 45ESR SSE:

test binary: https://o.rthost.cf/gpc/files1.rt/firefox-45.9.10-20180828-169242048-win32-sse.7z

repo: https://github.com/roytam1/mozilla45esr

Changes since my last build:
- update NSPR to hg rev 34274ae8c85e (ed341512b)
- update NSS to hg rev 4c7ffcfd43f6 (320507fa1)
- apply VC2013 fix for NSS 3.39 (169242048)

* This is a special build intended to test NSS 3.39 Beta about TLS 1.3 RFC version

Share this post


Link to post
Share on other sites

New build of post-deprecated basilisk/moebius for XP!
* Notice: This repo will not be built on regular schedule, and changes are experimental as usual.
** Current moebius patch level should be on par with 52.8, but some security patches can not be applied/ported due to source milestone differences between versions.

Test binary:
Win32 http://o.rths.cf/basilisk/basilisk55-win32-git-20180828-b78c31157-xpmod.7z
Win64 http://o.rths.cf/basilisk/basilisk55-win64-git-20180828-b78c31157-xpmod.7z

repo: https://github.com/roytam1/basilisk55

Repo changes:
- cherry-picked from UXP: Improve nsHtml5AtomTable performance (#693) (dc5f43707)
- update NSPR to hg rev 6e31156d7002 (3c015fea6)
- update NSS to hg rev 27e7c0376137 (f791dfd70)
- update ffvpx to git release/3.4 branch rev bc2301429e9c779237e43acf913331af018211f2 (12091e9f0)
- update NSS to hg rev 4c7ffcfd43f6, with TLS 1.3 RFC version enabled. (b78c31157)

* This is a special build intended to test NSS 3.39 Beta about TLS 1.3 RFC version

Edited by roytam1
  • Like 2

Share this post


Link to post
Share on other sites
13 hours ago, dencorso said:

Those are on 10 already, after all the concentrated efforts MS has put into goading/conning people to move to 10, despite their needs.

I meant people that are smart enough to not upgrade past Vista yet don't want to have to download the files every week or so :)

  • Like 1

Share this post


Link to post
Share on other sites

Well, I'm NOT a fan of auto-updating. If anyone want to make an auto-updater, please go ahead, you have freedom to do so.

If you just want a notifier, you may just go to my freesoft blog and subscribe the Atom/RSS feed.

  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...